scala.collection.jcl
trait Set

[source: `scala/collection/jcl/Set.scala`]

`` `trait` Set[A]
  `extends` Set[A]`with` Collection[A]

  Analogous to a Java set.

Author
  Sean McDirmid

Direct Known Subclasses:
  Map.KeySet, Set.Projection, SetWrapper, SortedSet

Method Summary
`override def` | + (t : A) : Set adds "a" from the collection. Useful for chaining.
`override def` | ++ (i : Iterable[A]) : Set Operator shortcut for addAll.
`override def` | - (t : A) : Set
`override def` | -- (i : Iterable[A]) : Set Operator shortcut for removeAll.
`override abstract def` | add (a : A) : Boolean Add will return false if "a" already exists in the set.
`override def` | clear : Unit clear all elements from the collection.
`final def` | contains (a : A) : Boolean Checks if this set contains element `elem`.
`override def` | isEmpty : Boolean Checks if this set is empty.
`override def` | projection : Projection[A] returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.
`override def` | retain (f : (A) => Boolean) : Unit retain only elements in the collection that predicate p is true for.
`override def` | subsetOf (set : Set[A]) : Boolean Checks if this set is a subset of set `that`.
`override def` | transform (f : (A) => A) : Boolean Transforms each element of the collection in-place according to `f`.

Methods inherited from Collection
hasAll, addAll, -=, +=

Methods inherited from MutableIterable
elements (abstract), has, remove, removeAll, retainAll, size0

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Set
size (abstract), apply, equals, hashCode, toArray

Methods inherited from Collection
toString, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from Function1
compose, andThen

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`class` | Filter (pp : (A) => Boolean)`extends` Filter `with` Projection[A]